Name:		perl-Net-DNS-Resolver-Programmable
Version: 	0.003
Release:	7.2
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Net::DNS:Resolver::Programmable
URL: 		http://search.cpan.org/~jmehnle/
Source0: 	Net-DNS-Resolver-Programmable-v%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl perl-Module-Build
BuildArch:	noarch

%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
programmable DNS resolver class for offline emulation of DNS

%prep
%setup -q -n Net-DNS-Resolver-Programmable-v%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*{,/*}}}/.packlist



%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorlib}/Net
%dir %{perl_vendorlib}/Net/DNS
%dir %{perl_vendorlib}/Net/DNS/Resolver
%{perl_vendorlib}/Net/DNS/Resolver/Programmable.pm
%{_mandir}/man3/Net::DNS::Resolver::Programmable.3pm*

%changelog
* Thu Oct 16 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build, needed by perl-Mail-SPF
